Skip to content

Retrieve Binder Template Node Metadata

Retrieve the metadata which defines the shape of binder template nodes in your Vault.

GET/api/{version}/metadata/objects/binders/templates/bindernodes
NameDescription
Acceptapplication/json (default) or application/xml or text/csv
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v21.1/metadata/objects/binders/templates/bindernodes
{ "responseStatus": "SUCCESS", "data": [ { "name": "id", "type": "id", "requiredness": "required", "editable": true, "multi_value": false }, { "name": "parent_id__v", "type": "id", "requiredness": "optional", "editable": true, "multi_value": false }, { "name": "order__v", "type": "Number", "requiredness": "optional", "max_value": 2147483647, "min_value": 0, "scale": 0, "editable": true, "multi_value": false }, { "name": "node_type__v", "type": "Enum", "requiredness": "required", "editable": true, "multi_value": false, "enums": [ "planned_document", "section" ] }, { "name": "label__v", "type": "String", "requiredness": "required", "max_length": 100, "editable": true, "multi_value": false }, { "name": "number__v", "type": "String", "requiredness": "optional", "max_length": 50, "editable": true, "multi_value": false }, { "name": "lifecycle__v", "type": "Component", "requiredness": "conditional", "editable": true, "multi_value": false, "component": "Documentlifecycle" }, { "name": "type__v", "type": "Component", "requiredness": "conditional", "editable": true, "multi_value": false, "component": "Doctype" }, { "name": "subtype__v", "type": "Component", "requiredness": "conditional", "editable": true, "multi_value": false, "component": "Doctype" }, { "name": "classification__v", "type": "Component", "requiredness": "conditional", "editable": true, "multi_value": false, "component": "Doctype" }, { "name": "document_template__v", "type": "String", "requiredness": "conditional", "max_length": 50, "editable": true, "multi_value": false } ] }

Binder "nodes" are individual sections or documents in the binder template hierarchy. These can include folders and subfolders in the binder or documents existing within the sections.

Field NameDescription
idFor a given binder, these are the binder node (section or planned document) IDs.
parent_id__vFor a given binder template node, this is the node ID of its parent node. The top-level node is the rootNode.
node_type__vBinder node types include section and planned_document (content placeholder documents within the binder template).
label__vBinder template node label (name). For section node types, this is the name of the folder within the binder template. Example: "label__v": "Operational Procedures". For planned document node types, this is the name of the content placeholder document and may include document field tokens. Example: "label__v": "${study_b} - ${site_b} Operational Procedure".
number__vThese apply to binder section node types and are a numerical representation of the section's hierarchy within the binder template. Example: Given two folders in a binder (under the root node), each containing three subfolders, the first and second folder numbers would be 01 and 02, respectively. The three subfolder numbers within the first and second folders would then be 01.01, 01.02, 01.03 and 02.01, 02.02, 02.03, respectively.
order__vOrder of the node within the binder or within the parent node. Negative order values appear first. For example, an order value of -100 appears before an order value of 0.
type__vName of the document type to which templates are associated.
subtype__vName of the document subtype to which templates are associated.
classification__vName of the document classification to which templates are associated.
lifecycle__vName of the binder lifecycle to which templates are associated.
document_template__vName of the planned document template.
milestone_type__veTMF Vaults only. Name of the milestone type associated with the planned document template.
hierarchy_mapping__veTMF Vaults only. Object ID pointing to the lowest level in the TMF reference model.